Registries

Manage container registries for storage of docker images and OCI compliant artifacts. This operation is restricted to contract owner, admin, and users with 'accessAndManageRegistries' and Share/Edit access permissions for the data center hosting the registry.

This tag groups all operations for registries.

List all container registries

get

List all managed container registries for your account

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Query parameters
filter.namestringOptional

The registry name to search for

Example: my-registry
limitstringOptional

The maximum number of elements to return (used together with pagination.token for pagination)

Default: 100
pagination.tokenstringOptional

An opaque token used to iterate the set of results (used together with limit for pagination)

Example: eyJ2IjoibWV0YS5rOHMuaW8vdjEiLCJydiI6MTYzMjQ0OTk2ODAsInN0YXJ0IjoiM2RmYTc3YjctZGIwNS00MjMwLThmMjAtOGU3NjJlOTUxOTUzXHUwMDAwIn0
Responses
chevron-right
200

OK

application/json
hrefstringOptional
idstringOptional
typestringOptional
get
/registries

Create container registry

post

Create a registry to hold container images or OCI compliant artifacts

  • "name" must have passed validation

  • "location" must be one of the available location IDs

  • "garbageCollectionSchedule" time and days of the week for runs

  • "features": "vulnerabilityScanning" default is enabled

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Body
Responses
post
/registries

Get a registry

get

Get all information for a specific container registry

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Responses
chevron-right
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
get
/registries/{registryId}

Create or replace a container registry

put

Create/replace a registry to hold container images or OCI compliant artifacts On create

  • "name" must have passed validation

  • "location" must be one of the available location IDs On update

  • "name" cannot be changed

  • "location" cannot be changed On create or update

  • "garbageCollectionSchedule": time and days of the week for runs

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
Responses
put
/registries/{registryId}

Delete registry

delete
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Responses
delete
/registries/{registryId}

No content

Update the properties of a registry

patch

Update the properties of a registry

  • "garbageCollectionSchedule" time and days of the week for runs

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
Body
apiSubnetAllowListstring[] · max: 25 · nullableOptional

Subnets and IPs that are allowed to access the registry API, supports IPv4 and IPv6. Maximum of 25 items may be specified. If no CIDR is given /32 and /128 are assumed for IPv4 and IPv6 respectively. 0.0.0.0/0 can be used to deny all traffic. Note: If this list is empty or not set, there are no restrictions.

Example: 123.123.123.0/24
Responses
chevron-right
200

OK

application/json
hrefstringOptional
idstring · uuidOptional
typestringOptional
patch
/registries/{registryId}

Last updated

Was this helpful?